com.verisign.epp.codec.idntable

## Class EPPIdnTableInfoDomainTable

- java.lang.Object
- - com.verisign.epp.codec.idntable.EPPIdnTableInfoDomainTable

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPIdnTableInfoDomainTable
      extends java.lang.Object
      implements EPPCodecComponent

  `EPPIdnTableInfoDomainTable` is used to represent the Internationalized Domain Name (IDN) table information for a domain name in a Domain Info Form response.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EPPIdnTableInfoDomainTable.Type` Table types, that include: `LANGUAGE` that represents a Language IDN Table.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPIdnTableInfoDomainTable`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPIdnTableInfoDomainTable`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPIdnTableInfoDomainTable()` Default constructor for `EPPIdnTableInfoDomainTable`.
    `EPPIdnTableInfoDomainTable(java.lang.String aName, EPPIdnTableInfoDomainTable.Type aType, java.lang.String aDescription)` Constructor for `EPPIdnTableInfoDomainTable` that takes the required attributes.
    `EPPIdnTableInfoDomainTable(java.lang.String aName, EPPIdnTableInfoDomainTable.Type aType, java.lang.String aDescription, java.lang.String aDescriptionLang, java.lang.Boolean aVariantGen)` Constructor for `EPPIdnTableInfoDomainTable` that takes the all attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
    `void` | `decode(org.w3c.dom.Element aElement)` decode a DOM element tree to initialize the instance attributes.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode instance into a DOM element tree.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPIdnTableInfoDomainTable` with this instance.
    `java.lang.String` | `getDescription()` Gets the server defined description of the IDN Table.
    `java.lang.String` | `getDescriptionLang()` Gets the language of the description of the IDN Table with the default value of "en".
    `java.lang.String` | `getName()` Gets the IDN Table identifier.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `EPPIdnTableInfoDomainTable.Type` | `getType()` Gets the IDN Table type
    `java.lang.Boolean` | `getVariantGen()` Gets the OPTIONAL boolean flag indicating that domains created using the IDN Table will have IDN variants generated.
    `boolean` | `hasDescriptionLang()` Is the description language defined?
    `boolean` | `hasVariantGen()` Is the variant generation flag defined?
    `void` | `setDescription(java.lang.String aDescription)` Sets the server defined description of the IDN Table.
    `void` | `setDescriptionLang(java.lang.String aDescriptionLang)` Sets the language of the description of the IDN Table.
    `void` | `setName(java.lang.String aName)` Sets the IDN Table identifier.
    `void` | `setType(EPPIdnTableInfoDomainTable.Type aType)` Sets the IDN Table type.
    `void` | `setVariantGen(java.lang.Boolean aVariantGen)` Sets the OPTIONAL boolean flag indicating that domains created using the IDN Table will have IDN variants generated.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPIdnTableInfoDomainTable`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPIdnTableInfoDomainTable`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPIdnTableInfoDomainTable

          public EPPIdnTableInfoDomainTable()

      Default constructor for `EPPIdnTableInfoDomainTable`.

    - #### EPPIdnTableInfoDomainTable

          public EPPIdnTableInfoDomainTable(java.lang.String aName,
                                            EPPIdnTableInfoDomainTable.Type aType,
                                            java.lang.String aDescription)

      Constructor for `EPPIdnTableInfoDomainTable` that takes the required attributes.
      Parameters:
        `aName` - Table identifier
        `aType` - IDN Table type
        `aDescription` - Server defined description of the IDN Table.

    - #### EPPIdnTableInfoDomainTable

          public EPPIdnTableInfoDomainTable(java.lang.String aName,
                                            EPPIdnTableInfoDomainTable.Type aType,
                                            java.lang.String aDescription,
                                            java.lang.String aDescriptionLang,
                                            java.lang.Boolean aVariantGen)

      Constructor for `EPPIdnTableInfoDomainTable` that takes the all attributes.
      Parameters:
        `aName` - Table identifier
        `aType` - IDN Table type
        `aDescription` - Server defined description of the IDN Table.
        `aDescriptionLang` - Language of the description
        `aVariantGen` - Flag indicating that domains created with the IDN Table will have IDN variants generated.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the IDN Table identifier.
      Returns:
        The IDN Table identifier

    - #### setName

          public void setName(java.lang.String aName)

      Sets the IDN Table identifier.
      Parameters:
        `aName` - The IDN Table identifier.

    - #### getType

          public EPPIdnTableInfoDomainTable.Type getType()

      Gets the IDN Table type
      Returns:
        Type of the IDN table

    - #### setType

          public void setType(EPPIdnTableInfoDomainTable.Type aType)

      Sets the IDN Table type.
      Parameters:
        `aType` - IDN type

    - #### getDescription

          public java.lang.String getDescription()

      Gets the server defined description of the IDN Table.
      Returns:
        The server defined description of the IDN Table.

    - #### setDescription

          public void setDescription(java.lang.String aDescription)

      Sets the server defined description of the IDN Table.
      Parameters:
        `aDescription` - The server defined description of the IDN Table.

    - #### hasDescriptionLang

          public boolean hasDescriptionLang()

      Is the description language defined?
      Returns:
        `true` if the description language is defined; `false` otherwise.

    - #### getDescriptionLang

          public java.lang.String getDescriptionLang()

      Gets the language of the description of the IDN Table with the default value of "en".
      Returns:
        The language of the description.

    - #### setDescriptionLang

          public void setDescriptionLang(java.lang.String aDescriptionLang)

      Sets the language of the description of the IDN Table.
      Parameters:
        `aDescriptionLang` - The language of the description.

    - #### hasVariantGen

          public boolean hasVariantGen()

      Is the variant generation flag defined?
      Returns:
        `true` if the variant generation flag is defined; `false` otherwise.

    - #### getVariantGen

          public java.lang.Boolean getVariantGen()

      Gets the OPTIONAL boolean flag indicating that domains created using the IDN Table will have IDN variants generated.
      Returns:
        `true` or `false` indicating that the domains created using the IDN Table will have IDN variants generated if defined; `null` otherwise.

    - #### setVariantGen

          public void setVariantGen(java.lang.Boolean aVariantGen)

      Sets the OPTIONAL boolean flag indicating that domains created using the IDN Table will have IDN variants generated.
      Parameters:
        `aVariantGen` - Non-`null` value indicating that the domains created using the IDN Table will have IDN variants generated. Use `null` to clear the flag.

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document, which acts is an Element factory
      Returns:
        Element Root element associated with the object
      Throws:
        `EPPEncodeException` - Error encoding `EPPIdnTableInfoDomainTable`

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - `Element` to decode
      Throws:
        `EPPDecodeException` - Error decoding `Element`

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      clone an `EPPCodecComponent`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPIdnTableInfoDomainTable`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPIdnTableInfoDomainTable` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if equal; `false` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.